Skip to main content
PATCH
Update a view

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

view_id
string
required

View ID

Body

application/json

Fields that need to be updated. All omitted fields are left unmodified.

board_filters
object | null
card_filters
object | null
page_filters
object | null
name
string | null
Example:

"my view"

type
string | null
Example:

"card"

shared
boolean | null
Example:

false

Response

updated view response

board_filters
object | null
card_filters
object | null
page_filters
object | null
id
string
Example:

"1"

team_id
string
Example:

"tARGLH5d"

owner_user_id
string
Example:

"u2DdoERz"

type
enum<string>
Available options:
board,
card,
page
Example:

"card"

name
string
Example:

"my view"

shared
boolean
Example:

false

time_created
integer<int64>

unix timestamp in seconds

Example:

1608742037016

time_updated
integer<int64>

unix timestamp in seconds

Example:

1608742037016